## akregator 24.12.3

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.3.3")
project(akregator VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.6.0")
set(RELEASE_SERVICE_VERSION "24.12.3")
# Update it for each release
set(AKREGATOR_RELEASE_VERSION_DATE "25.03.03") # yy.MM.dd

set(QT_REQUIRED_VERSION "6.7.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
set(KTEXTADDONS_MIN_VERSION "1.5.4")

# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

set(KONTACTINTERFACE_LIB_VERSION "6.3.3")
set(LIBGRANTLEETHEME_LIB_VERSION "6.3.3")
set(LIBKDEPIM_LIB_VERSION "6.3.3")
set(MESSAGELIB_LIB_VERSION "6.3.3")
set(PIMCOMMON_LIB_VERSION "6.3.3")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test WebEngineWidgets PrintSupport)
# Find KF6 package
find_package(KF6I18n ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6NotifyConfig ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Parts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Syndication ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

# Find KdepimLibs Package
find_package(KPim6GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6KontactInterface ${KONTACTINTERFACE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
if(TARGET KF6::TextEditTextToSpeech)
    add_definitions(-DHAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT)
endif()
find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
# Fix plugin support for removing theses dependencies
find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)

find_package(KF6UserFeedback ${KF_MIN_VERSION} CONFIG)
set_package_properties(KF6UserFeedback PROPERTIES DESCRIPTION "User Feedback lib" TYPE OPTIONAL PURPOSE "Allow to send Telemetry Information (optional). It can be disable in apps.")


include_directories(${akregator_SOURCE_DIR} ${akregator_BINARY_DIR})
add_definitions(-DTRANSLATION_DOMAIN=\"akregator\")
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0
     KF 6.8.0
)
if(TARGET KF6::UserFeedbackWidgets)
    add_definitions(-DWITH_KUSERFEEDBACK)
endif()
if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

if(TARGET KPim6::PimCommonActivities)
    option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities" ON)
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false)
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.1.0")
            set_package_properties(PlasmaActivities PROPERTIES DESCRIPTION
                "Allow to compile with plasma activities"
                TYPE OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()

configure_file(config-akregator.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-akregator.h)

add_subdirectory(export)
add_subdirectory(interfaces)
add_subdirectory(configuration)
add_subdirectory(src)
add_subdirectory(kontactplugin)

ecm_qt_install_logging_categories(
        EXPORT AKREGATOR
        FILE akregator.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kontactplugin/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
include_directories(
    ${akregator_SOURCE_DIR}/src
)

########### next target ###############
add_library(kontact_akregatorplugin MODULE)

qt_add_dbus_interfaces(kontact_akregator_PART_SRCS ${akregator_SOURCE_DIR}/src/org.kde.akregator.part.xml)
target_sources(kontact_akregatorplugin PRIVATE akregator_plugin.cpp akregator_plugin.h ${kontact_akregator_PART_SRCS})


target_link_libraries(kontact_akregatorplugin KF6::I18n KPim6::KontactInterface)

########### install files ###############

install(TARGETS kontact_akregatorplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/pim6/kontact)

=== src/widgets/autotests/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
macro(akregator_widgets_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "akregator-widgets"
        LINK_LIBRARIES Qt::Test akregatorprivate Qt::Widgets
)
endmacro()
akregator_widgets_unittest(statussearchbuttonstest.cpp)

=== debian/changelog ===
akregator (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:50:33 +0100

=== debian/control ===
Source: akregator
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.6.0~),
               libgrantleetheme-dev (>= 24.12.3~),
               libkdepim-dev (>= 4:24.12.3~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6notifyconfig-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6statusnotifieritem-dev (>= 6.6.0~),
               libkf6syndication-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6userfeedback-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkontactinterface-dev (>= 24.12.3~),
               libktextaddons-dev (>= 1.5.4~),
               libpimcommon-dev (>= 4:24.12.3~),
               libplasmaactivities-dev (>= 6.1.0~),
               messagelib-dev (>= 4:24.12.3~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/akregator
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akregator
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akregator.git
Rules-Requires-Root: no

Package: akregator
Section: web
Architecture: amd64 arm64 armhf i386
Depends: libgrantleetheme-plugins, ${misc:Depends}, ${shlibs:Depends},
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	# do not ship development stuff
	find debian/akregator -name '*.so' -type l -delete

override_dh_auto_test:
	xvfb-run dh_auto_test --no-parallel

## akregator 25.04.3

=== debian/changelog ===
akregator (4:25.04.3-0zneon+24.04+noble+release+build31) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 07 Jul 2025 05:22:31 +0000

akregator (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:30:12 +0000

akregator (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:45:19 +0000

akregator (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:19:42 +0000

akregator (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:20:08 +0000

akregator (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:47:53 +0000

akregator (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:52:06 +0000

akregator (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:43:36 +0000

akregator (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:40:59 +0000

akregator (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:41:39 +0000

akregator (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:13:18 +0000

akregator (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:51:50 +0000

akregator (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:05:38 +0000

akregator (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:40:21 +0000

akregator (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:08:28 +0000

akregator (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:54:30 +0000

akregator (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:50:48 +0000

akregator (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:32:06 +0000

akregator (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 10:22:41 +0000

akregator (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:08:48 +0000

akregator (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 00:51:06 +0000

akregator (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:38:07 +0000

akregator (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:03:25 +0000

akregator (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:52:53 +0000

akregator (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:20:38 +0000

akregator (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:57:25 +0000

akregator (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:06:41 +0000

akregator (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:25:57 +0000

akregator (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:00:40 +0000

akregator (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:28:40 +0000

akregator (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:15:21 +0000

akregator (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:40:11 +0000

akregator (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:38:01 +0000

akregator (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:47:40 +0000

akregator (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 10:58:53 +0000

akregator (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:57:53 +0000

akregator (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:07:58 +0000

akregator (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:42 +0000

akregator (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:27:00 +0000

akregator (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:47:36 +0000

akregator (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:19:40 +0000

akregator (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:50:10 +0000

akregator (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:18:21 +0000

akregator (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 12:55:11 +0000

akregator (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:11:02 +0000

akregator (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021 12:21:33 +0000



## akregator 25.07.80

=== debian/changelog ===
akregator (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:39:24 +0100

akregator (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:33:33 +0100

akregator (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:35:11 +0100

akregator (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 21:58:44 +0100

akregator (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:38:57 +0100

akregator (4:24.12.3-0ubuntu2) plucky; urgency=medium

  * Bring back apparmor profile that fixes webengine userns crashes
  * Bugfix-only upload. (LP: #2105385) 

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 29 Mar 2025 09:34:52 -0700

akregator (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:28 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: akregator
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Michael Meskes <meskes@debian.org>,
            Sandro Knauß <hefee@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
+               dh-apparmor,
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
-               libgrantleetheme-dev (>= 24.12.3~),
-               libkdepim-dev (>= 4:24.12.3~),
+               libgrantleetheme-dev (>= 25.07.80~),
+               libkdepim-dev (>= 4:25.07.80~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -26,26 +28,27 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 24.12.3~),
+               libkontactinterface-dev (>= 25.07.80~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:24.12.3~),
+               libpimcommon-dev (>= 4:25.07.80~),
                libplasmaactivities-dev (>= 6.1.0~),
-               messagelib-dev (>= 4:24.12.3~),
+               messagelib-dev (>= 4:25.07.80~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/akregator
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akregator
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akregator.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akregator
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/akregator
 Rules-Requires-Root: no
 
 Package: akregator
 Section: web
 Architecture: amd64 arm64 armhf i386
 Depends: libgrantleetheme-plugins, ${misc:Depends}, ${shlibs:Depends},
+Suggests: apparmor
 Homepage: http://akregator.kde.org/
 Description: RSS/Atom feed aggregator
  Akregator is a news feed reader. It enables you to follow

## akregator 25.07.90

=== debian/changelog ===
akregator (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:25:26 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                dh-apparmor,
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libgrantleetheme-dev (>= 25.07.80~),
-               libkdepim-dev (>= 4:25.07.80~),
+               libgrantleetheme-dev (>= 25.07.90~),
+               libkdepim-dev (>= 4:25.07.90~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -28,11 +28,11 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.07.80~),
+               libkontactinterface-dev (>= 25.07.90~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.07.80~),
+               libpimcommon-dev (>= 4:25.07.90~),
                libplasmaactivities-dev (>= 6.1.0~),
-               messagelib-dev (>= 4:25.07.80~),
+               messagelib-dev (>= 4:25.07.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## akregator 25.08.0

=== debian/changelog ===
akregator (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:47:43 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                dh-apparmor,
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libgrantleetheme-dev (>= 25.07.90~),
-               libkdepim-dev (>= 4:25.07.90~),
+               libgrantleetheme-dev (>= 25.08.0~),
+               libkdepim-dev (>= 4:25.08.0~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -28,11 +28,11 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.07.90~),
+               libkontactinterface-dev (>= 25.08.0~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.07.90~),
+               libpimcommon-dev (>= 4:25.08.0~),
                libplasmaactivities-dev (>= 6.1.0~),
-               messagelib-dev (>= 4:25.07.90~),
+               messagelib-dev (>= 4:25.08.0~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## akregator 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,31 +1,50 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.3.3")
+set(PIM_VERSION "6.5.1")
 project(akregator VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.6.0")
-set(RELEASE_SERVICE_VERSION "24.12.3")
 # Update it for each release
-set(AKREGATOR_RELEASE_VERSION_DATE "25.03.03") # yy.MM.dd
-
-set(QT_REQUIRED_VERSION "6.7.0")
+set(AKREGATOR_RELEASE_VERSION_DATE "25.08.10") # yy.MM.dd
+
+set(KF_MIN_VERSION "6.14.0")
+set(RELEASE_SERVICE_VERSION "25.08.1")
+set(QT_REQUIRED_VERSION "6.8.0")
+
+# Use true if stable version => we will check specific version
+set(AKREGATOR_STABLE_VERSION true)
+
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
 
-
 include(ECMSetupVersion)
 include(ECMAddTests)
 
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
 
-include(FeatureSummary)
-include(KDEGitCommitHooks)
-include(KDEClangFormat)
-file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
-kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+file(
+    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
+    *.cpp
+    *.h
+    *.c
+)
+set(PRE_COMMIT_INSTALLED FALSE)
+if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
+    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
+        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
+        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
+        if(${INDEX} GREATER_EQUAL 0)
+            set(PRE_COMMIT_INSTALLED TRUE)
+        endif()
+    endif()
+endif()
+if(NOT ${PRE_COMMIT_INSTALLED})
+    include(KDEGitCommitHooks)
+    include(KDEClangFormat)
+    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+endif()
 include(CheckFunctionExists)
 
 include(KDEInstallDirs)
@@ -35,27 +54,36 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
-set(KTEXTADDONS_MIN_VERSION "1.5.4")
+set(KTEXTADDONS_MIN_VERSION "1.6.0")
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION )
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
-  set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
+    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
 endif()
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(KONTACTINTERFACE_LIB_VERSION "6.3.3")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.3.3")
-set(LIBKDEPIM_LIB_VERSION "6.3.3")
-set(MESSAGELIB_LIB_VERSION "6.3.3")
-set(PIMCOMMON_LIB_VERSION "6.3.3")
-
-find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test WebEngineWidgets PrintSupport)
+set(KONTACTINTERFACE_LIB_VERSION "6.5.1")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.5.1")
+set(LIBKDEPIM_LIB_VERSION "6.5.1")
+set(MESSAGELIB_LIB_VERSION "6.5.1")
+set(PIMCOMMON_LIB_VERSION "6.5.1")
+
+find_package(
+    Qt6
+    ${QT_REQUIRED_VERSION}
+    CONFIG
+    REQUIRED
+        Widgets
+        Test
+        WebEngineWidgets
+        PrintSupport
+)
 # Find KF6 package
 find_package(KF6I18n ${KF_MIN_VERSION} REQUIRED)
 find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
@@ -69,9 +97,13 @@
 find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6DocTools ${KF_MIN_VERSION})
-set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
-    "Tools to generate documentation"
-    TYPE OPTIONAL
+set_package_properties(
+    KF6DocTools
+    PROPERTIES
+        DESCRIPTION
+            "Tools to generate documentation"
+        TYPE
+            OPTIONAL
 )
 
 # Find KdepimLibs Package
@@ -92,17 +124,28 @@
 find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)
 
 find_package(KF6UserFeedback ${KF_MIN_VERSION} CONFIG)
-set_package_properties(KF6UserFeedback PROPERTIES DESCRIPTION "User Feedback lib" TYPE OPTIONAL PURPOSE "Allow to send Telemetry Information (optional). It can be disable in apps.")
-
-
-include_directories(${akregator_SOURCE_DIR} ${akregator_BINARY_DIR})
+set_package_properties(
+    KF6UserFeedback
+    PROPERTIES
+        DESCRIPTION
+            "User Feedback lib"
+        TYPE
+            OPTIONAL
+        PURPOSE
+            "Allow to send Telemetry Information (optional). It can be disable in apps."
+)
+
+include_directories(
+    ${akregator_SOURCE_DIR}
+    ${akregator_BINARY_DIR}
+)
 add_definitions(-DTRANSLATION_DOMAIN=\"akregator\")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.0
-     KF 6.8.0
+ecm_set_disabled_deprecation_versions(QT 6.10.0
+     KF 6.16.0
 )
 if(TARGET KF6::UserFeedbackWidgets)
-    add_definitions(-DWITH_KUSERFEEDBACK)
+    set(AKREGATOR_WITH_KUSERFEEDBACK true)
 endif()
 if(BUILD_TESTING)
     add_definitions(-DBUILD_TESTING)
@@ -126,10 +169,14 @@
     endif()
     if(OPTION_USE_PLASMA_ACTIVITIES)
         if(NOT WIN32 AND NOT APPLE)
-            find_package(PlasmaActivities "6.1.0")
-            set_package_properties(PlasmaActivities PROPERTIES DESCRIPTION
-                "Allow to compile with plasma activities"
-                TYPE OPTIONAL
+            find_package(PlasmaActivities "6.3.0")
+            set_package_properties(
+                PlasmaActivities
+                PROPERTIES
+                    DESCRIPTION
+                        "Allow to compile with plasma activities"
+                    TYPE
+                        OPTIONAL
             )
         endif()
 
@@ -152,7 +199,9 @@
         FILE akregator.categories
         DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
 )
-kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+if(DEFINED kde_configure_git_pre_commit_hook)
+    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+endif()
 ki18n_install(po)
 if(KF6DocTools_FOUND)
     kdoctools_install(po)

=== debian/changelog ===
akregator (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:04:15 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                dh-apparmor,
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libgrantleetheme-dev (>= 25.08.0~),
-               libkdepim-dev (>= 4:25.08.0~),
+               libgrantleetheme-dev (>= 25.08.1~),
+               libkdepim-dev (>= 4:25.08.1~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -28,11 +28,11 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.08.0~),
+               libkontactinterface-dev (>= 25.08.1~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.08.0~),
+               libpimcommon-dev (>= 4:25.08.1~),
                libplasmaactivities-dev (>= 6.1.0~),
-               messagelib-dev (>= 4:25.08.0~),
+               messagelib-dev (>= 4:25.08.1~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,9 @@
 	dh_auto_install
 	# do not ship development stuff
 	find debian/akregator -name '*.so' -type l -delete
+	mkdir -p debian/akregator/etc/apparmor.d
+	cp debian/akregator-apparmor debian/akregator/etc/apparmor.d/usr.bin.akregator
+	dh_apparmor --profile-name=usr.bin.akregator -pakregator
 
 override_dh_auto_test:
 	xvfb-run dh_auto_test --no-parallel

## akregator 25.08.1+p24.04+vstable+git20250926.1142

=== debian/changelog ===
akregator (4:25.08.1+p24.04+vstable+git20250926.1142-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 11:42:44 +0000

akregator (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:14:23 +0000

akregator (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:48:47 +0000

## akregator 25.08.1+p24.04+vstable+git20250930.0540

=== debian/changelog ===
akregator (4:25.08.1+p24.04+vstable+git20250930.0540-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:40:03 +0000

## akregator 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 project(akregator VERSION ${PIM_VERSION})
 
 # Update it for each release
-set(AKREGATOR_RELEASE_VERSION_DATE "25.08.10") # yy.MM.dd
+set(AKREGATOR_RELEASE_VERSION_DATE "25.10.06") # yy.MM.dd
 
 set(KF_MIN_VERSION "6.14.0")
-set(RELEASE_SERVICE_VERSION "25.08.1")
+set(RELEASE_SERVICE_VERSION "25.08.2")
 set(QT_REQUIRED_VERSION "6.8.0")
 
 # Use true if stable version => we will check specific version
@@ -68,11 +68,11 @@
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(KONTACTINTERFACE_LIB_VERSION "6.5.1")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.5.1")
-set(LIBKDEPIM_LIB_VERSION "6.5.1")
-set(MESSAGELIB_LIB_VERSION "6.5.1")
-set(PIMCOMMON_LIB_VERSION "6.5.1")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.2")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.5.2")
+set(LIBKDEPIM_LIB_VERSION "6.5.2")
+set(MESSAGELIB_LIB_VERSION "6.5.2")
+set(PIMCOMMON_LIB_VERSION "6.5.2")
 
 find_package(
     Qt6

=== interfaces/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
########### next target ###############
add_library(akregatorinterfaces)

target_sources(
    akregatorinterfaces
    PRIVATE
        command.cpp
        feedlistmanagementinterface.cpp
        command.h
        feedlistmanagementinterface.h
)

set(akregatorinterfaces_userfeedback_LIB_SRCS)
if(TARGET KF6::UserFeedbackWidgets)
    target_sources(
        akregatorinterfaces
        PRIVATE
            userfeedback/userfeedbackmanager.cpp
            userfeedback/akregatoruserfeedbackprovider.cpp
            userfeedback/userfeedbackmanager.h
            userfeedback/akregatoruserfeedbackprovider.h
    )
endif()

kconfig_add_kcfg_files(akregatorinterfaces akregatorconfig.kcfgc)

generate_export_header(akregatorinterfaces BASE_NAME akregatorinterfaces)

if(TARGET KF6::UserFeedbackWidgets)
    target_link_libraries(akregatorinterfaces KF6::UserFeedbackWidgets)
endif()

target_link_libraries(
    akregatorinterfaces
    KF6::ConfigGui
    Qt::Widgets
)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        akregatorinterfaces
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
target_include_directories(
    akregatorinterfaces
    PUBLIC
        "$<BUILD_INTERFACE:${akregator_SOURCE_DIR}/interfaces;${akregator_BINARY_DIR}/interfaces>"
)

set_target_properties(
    akregatorinterfaces
    PROPERTIES
        VERSION
            ${KDEPIM_LIB_VERSION}
        SOVERSION
            ${KDEPIM_LIB_SOVERSION}
)

install(
    TARGETS
        akregatorinterfaces
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY
        NAMELINK_SKIP
)
install(FILES akregator.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== src/widgets/autotests/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,6 @@
         TEST_NAME ${_name}
         NAME_PREFIX "akregator-widgets"
         LINK_LIBRARIES Qt::Test akregatorprivate Qt::Widgets
-)
+    )
 endmacro()
 akregator_widgets_unittest(statussearchbuttonstest.cpp)

=== debian/changelog ===
akregator (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:37:00 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
                dh-apparmor,
                dh-sequence-kf6,
                extra-cmake-modules (>= 6.6.0~),
-               libgrantleetheme-dev (>= 25.08.1~),
-               libkdepim-dev (>= 4:25.08.1~),
+               libgrantleetheme-dev (>= 25.08.2~),
+               libkdepim-dev (>= 4:25.08.2~),
                libkf6codecs-dev (>= 6.6.0~),
                libkf6crash-dev (>= 6.6.0~),
                libkf6doctools-dev (>= 6.6.0~),
@@ -28,11 +28,11 @@
                libkf6textwidgets-dev (>= 6.3.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkontactinterface-dev (>= 25.08.1~),
+               libkontactinterface-dev (>= 25.08.2~),
                libktextaddons-dev (>= 1.5.4~),
-               libpimcommon-dev (>= 4:25.08.1~),
+               libpimcommon-dev (>= 4:25.08.2~),
                libplasmaactivities-dev (>= 6.1.0~),
-               messagelib-dev (>= 4:25.08.1~),
+               messagelib-dev (>= 4:25.08.2~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## akregator 25.08.2+p24.04+vstable+git20251015.2009

=== debian/changelog ===
akregator (4:25.08.2+p24.04+vstable+git20251015.2009-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:09:18 +0000

akregator (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:55:06 +0000

## akregator 25.08.2+p24.04+vstable+git20251019.0824

=== debian/changelog ===
akregator (4:25.08.2+p24.04+vstable+git20251019.0824-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:25:03 +0000

## akregator 25.08.2+p24.04+vstable+git20251022.0019

=== debian/changelog ===
akregator (4:25.08.2+p24.04+vstable+git20251022.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:19:28 +0000

=== debian/control ===
Source: akregator
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-kiconthemes-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kparts-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ktextaddons-dev,
               kf6-ktexteditor-dev,
               kf6-ktexttemplate-dev,
               kf6-kuserfeedback-dev,
               kf6-kxmlgui-dev,
               kf6-syndication-dev,
               kf6-syntax-highlighting-dev,
               kpim6-akonadi-mime-dev,
               kpim6-grantleetheme-dev,
               kpim6-kontactinterface-dev,
               kpim6-kpimtextedit-dev,
               kpim6-libkdepim-dev,
               kpim6-libkleo-dev,
               kpim6-messagelib-dev,
               kpim6-pimcommon-dev,
               libqgpgmeqt6-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/akregator.git
Vcs-Browser: https://invent.kde.org/neon/kde/akregator
Maintainer: Neon CI <neon@kde.org>

Package: akregator
Section: web
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.

## akregator 25.08.2+p24.04+vstable+git20251023.0024

=== debian/changelog ===
akregator (4:25.08.2+p24.04+vstable+git20251023.0024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 00:24:06 +0000

## akregator 25.08.2+p24.04+vstable+git20251031.0255

=== debian/changelog ===
akregator (4:25.08.2+p24.04+vstable+git20251031.0255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 02:55:37 +0000

## akregator 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.3")
 project(akregator VERSION ${PIM_VERSION})
 
 # Update it for each release
-set(AKREGATOR_RELEASE_VERSION_DATE "25.10.06") # yy.MM.dd
+set(AKREGATOR_RELEASE_VERSION_DATE "25.11.03") # yy.MM.dd
 
 set(KF_MIN_VERSION "6.14.0")
-set(RELEASE_SERVICE_VERSION "25.08.2")
+set(RELEASE_SERVICE_VERSION "25.08.3")
 set(QT_REQUIRED_VERSION "6.8.0")
 
 # Use true if stable version => we will check specific version
@@ -68,11 +68,11 @@
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(KONTACTINTERFACE_LIB_VERSION "6.5.2")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.5.2")
-set(LIBKDEPIM_LIB_VERSION "6.5.2")
-set(MESSAGELIB_LIB_VERSION "6.5.2")
-set(PIMCOMMON_LIB_VERSION "6.5.2")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.3")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.5.3")
+set(LIBKDEPIM_LIB_VERSION "6.5.3")
+set(MESSAGELIB_LIB_VERSION "6.5.3")
+set(PIMCOMMON_LIB_VERSION "6.5.3")
 
 find_package(
     Qt6

=== export/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
)

add_executable(akregatorstorageexporter)
target_sources(akregatorstorageexporter PRIVATE akregatorstorageexporter.cpp)
target_link_libraries(
    akregatorstorageexporter
    KF6::Syndication
    akregatorprivate
    KF6::I18n
    KF6::CoreAddons
)

install(
    TARGETS
        akregatorstorageexporter
        ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

=== src/icons/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
file(GLOB icons "*-apps-akregator.*")
ecm_install_icons(ICONS
    ${icons}
    16-apps-akregator_empty.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== debian/changelog ===
akregator (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:25:04 +0100

=== debian/control ===
Source: akregator
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               libgrantleetheme-dev (>= 25.08.3~),
               libkdepim-dev (>= 4:25.08.3~),
               libkf6codecs-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6notifyconfig-dev (>= 6.14.0~),
               libkf6parts-dev (>= 6.14.0~),
               libkf6statusnotifieritem-dev (>= 6.14.0~),
               libkf6syndication-dev (>= 6.14.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6userfeedback-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libkontactinterface-dev (>= 25.08.3~),
               libktextaddons-dev (>= 1.6.0~),
               libpimcommon-dev (>= 4:25.08.3~),
               libplasmaactivities-dev (>= 6.3.0~),
               messagelib-dev (>= 4:25.08.3~),
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-webengine-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/akregator
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akregator
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akregator.git
Rules-Requires-Root: no

Package: akregator
Section: web
Architecture: amd64 arm64 armhf i386
Depends: libgrantleetheme-plugins,
         ${misc:Depends},
         ${shlibs:Depends},
Homepage: http://akregator.kde.org/
Description: RSS/Atom feed aggregator
 Akregator is a news feed reader. It enables you to follow
 news sites, blogs and other RSS/Atom-enabled websites without the need to
 manually check for updates using a web browser. Akregator is designed to be
 both easy to use and to be powerful enough to read hundreds of news sources
 conveniently. It comes with Konqueror integration for adding news feeds and
 with an internal browser for easy news reading.
